<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
   <html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Docs For Class SEO_URL_INSTALLER</title>
  <link rel="stylesheet" href="../media/stylesheet.css" />
  <script src="../media/lib/classTree.js"></script>
<link id="webfx-tab-style-sheet" type="text/css" rel="stylesheet" href="../media/lib/tab.webfx.css" />
<script type="text/javascript" src="../media/lib/tabpane.js"></script>
  <script language="javascript" type="text/javascript" src="../media/lib/ua.js"></script>
<script language="javascript" type="text/javascript">
	var imgPlus = new Image();
	var imgMinus = new Image();
	imgPlus.src = "../media/images/plus.gif";
	imgMinus.src = "../media/images/minus.gif";
	
	function showNode(Node){
        switch(navigator.family){
        	case 'nn4':
        		// Nav 4.x code fork...
				var oTable = document.layers["span" + Node];
				var oImg = document.layers["img" + Node];
        		break;
        	case 'ie4':
        		// IE 4/5 code fork...
				var oTable = document.all["span" + Node];
				var oImg = document.all["img" + Node];
        		break;
        	case 'gecko':
        		// Standards Compliant code fork...
				var oTable = document.getElementById("span" + Node);
				var oImg = document.getElementById("img" + Node);
        		break;
        }
		oImg.src = imgMinus.src;
		oTable.style.display = "block";
	}
	
	function hideNode(Node){
        switch(navigator.family){
        	case 'nn4':
        		// Nav 4.x code fork...
				var oTable = document.layers["span" + Node];
				var oImg = document.layers["img" + Node];
        		break;
        	case 'ie4':
        		// IE 4/5 code fork...
				var oTable = document.all["span" + Node];
				var oImg = document.all["img" + Node];
        		break;
        	case 'gecko':
        		// Standards Compliant code fork...
				var oTable = document.getElementById("span" + Node);
				var oImg = document.getElementById("img" + Node);
        		break;
        }
		oImg.src = imgPlus.src;
		oTable.style.display = "none";
	}
	
	function nodeIsVisible(Node){
        switch(navigator.family){
        	case 'nn4':
        		// Nav 4.x code fork...
				var oTable = document.layers["span" + Node];
        		break;
        	case 'ie4':
        		// IE 4/5 code fork...
				var oTable = document.all["span" + Node];
        		break;
        	case 'gecko':
        		// Standards Compliant code fork...
				var oTable = document.getElementById("span" + Node);
        		break;
        }
		return (oTable && oTable.style.display == "block");
	}
	
	function toggleNodeVisibility(Node){
		if (nodeIsVisible(Node)){
			hideNode(Node);
		}else{
			showNode(Node);
		}
	}
</script>
<!-- template designed by Julien Damon based on PHPEdit's generated templates, and tweaked by Greg Beaver -->
<body bgcolor="#ffffff" ><!-- Start of Class Data -->
<h2>
	Class SEO_URL_INSTALLER
</h2> (line <span class="linenumber"><a href="../__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a228">228</a></span>)
<div class="tab-pane" id="tabPane1">
<script type="text/javascript">
tp1 = new WebFXTabPane( document.getElementById( "tabPane1" ));
</script>

<div class="tab-page" id="Description">
<h2 class="tab">Description</h2>
<pre>
</pre>
<p>
	<b><i>Located in File: <a href="_classes_seo_class_php.html">seo.class.php</a></i></b><br>
</p>
<!-- ========== Info from phpDoc block ========= -->
<h5>Ultimate SEO URLs Installer and Configuration Class</h5>
<div class="desc"><p>Ultimate SEO URLs installer and configuration class offers a modular  and easy to manage method of configuration.  The class enables the base  class to be configured and installed on the fly without the hassle of  calling additional scripts or executing SQL.</p></div>
<ul>
		<li><strong>author:</strong> - Bobby Easland</li>
		<li><strong>copyright:</strong> - Copyright 2005, Bobby Easland</li>
		<li><strong>link:</strong> - <a href="http://www.oscommerce-freelancers.com/">osCommerce-Freelancers</a></li>
		<li><strong>version:</strong> - 1.1</li>
		<li><strong>license:</strong> - <a href="http://opensource.org/licenses/gpl-license.php">GNU Public License</a></li>
	</ul>
<br /><hr />
</div>
<script type="text/javascript">tp1.addTabPage( document.getElementById( "Description" ) );</script>
<div class="tab-page" id="tabPage1">

<h2 class="tab">Class Variables</h2>
<!-- ============ VARIABLE DETAIL =========== -->
<strong>Summary:</strong><br />
<div class="var-title">
    <span class="var-type">array</span>
    <a href="#var$attributes" title="details" class="property"><strong>$attributes</strong></a>
</div>
<div class="var-title">
    <span class="var-type">object</span>
    <a href="#var$DB" title="details" class="property"><strong>$DB</strong></a>
</div>
<div class="var-title">
    <span class="var-type">array</span>
    <a href="#var$default_config" title="details" class="property"><strong>$default_config</strong></a>
</div>
<hr />
<a name="var$attributes" id="var$attributes"><!-- --></A>
<div style="background='#ffffff'">
<h4>
<img src="../media/images/PublicProperty.gif" border="0" /> <strong class="property">$attributes</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a243">243</a></span>)
 </h4>
<h4>Data type : array</h4>
<!-- ========== Info from phpDoc block ========= -->
<h5>$attributes array holds information about this instance</h5>
<ul>
	</ul>
</div>
<a name="var$DB" id="var$DB"><!-- --></A>
<div style="background='#eeeeee'">
<h4>
<img src="../media/images/PublicProperty.gif" border="0" /> <strong class="property">$DB</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a238">238</a></span>)
 </h4>
<h4>Data type : object</h4>
<!-- ========== Info from phpDoc block ========= -->
<h5>Database object</h5>
<ul>
	</ul>
</div>
<a name="var$default_config" id="var$default_config"><!-- --></A>
<div style="background='#ffffff'">
<h4>
<img src="../media/images/PublicProperty.gif" border="0" /> <strong class="property">$default_config</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a233">233</a></span>)
 </h4>
<h4>Data type : array</h4>
<!-- ========== Info from phpDoc block ========= -->
<h5>The default_config array has all the default settings which should be all that is needed to make the base class work.</h5>
<ul>
	</ul>
</div>
<script type="text/javascript">tp1.addTabPage( document.getElementById( "tabPage1" ) );</script>
</div>
<div class="tab-page" id="constantsTabpage">

<h2 class="tab">Class Constants</h2>
<!-- ============ VARIABLE DETAIL =========== -->
<strong>Summary:</strong><br />
<hr />
<script type="text/javascript">tp1.addTabPage( document.getElementById( "constantsTabpage" ) );</script>
</div>
<div class="tab-page" id="tabPage2">
<h2 class="tab">Method Detail</h2>
<!-- ============ METHOD DETAIL =========== -->
<strong>Summary:</strong><br />
<div class="method-summary">
				
    <div class="method-definition">
            <span class="method-result">SEO_URL_INSTALLER</span>
        <a href="#methodSEO_URL_INSTALLER" title="details" class="method-name">SEO_URL_INSTALLER</a>
        ()
        </div>
				
    <div class="method-definition">
            <span class="method-result">void</span>
        <a href="#methodeval_defaults" title="details" class="method-name">eval_defaults</a>
        ()
        </div>
				
    <div class="method-definition">
            <span class="method-result">void</span>
        <a href="#methodinit" title="details" class="method-name">init</a>
        ()
        </div>
				
    <div class="method-definition">
            <span class="method-result">void</span>
        <a href="#methodinstall_settings" title="details" class="method-name">install_settings</a>
        ()
        </div>
				
    <div class="method-definition">
            <span class="method-result">void</span>
        <a href="#methoduninstall_settings" title="details" class="method-name">uninstall_settings</a>
        ()
        </div>
</div>
<hr />
<A NAME='method_detail'></A>


<a name="methodSEO_URL_INSTALLER" id="methodSEO_URL_INSTALLER"><!-- --></a>
<div style="background='#eeeeee'"><h4>
<img src="../media/images/Constructor.gif" border="0" /> <strong class="method">Constructor SEO_URL_INSTALLER</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a250">250</a></span>)
 </h4> 
<h4><i>SEO_URL_INSTALLER</i> <strong>SEO_URL_INSTALLER(
)</strong></h4>

<!-- ========== Info from phpDoc block ========= -->
<h5>SEO_URL_INSTALLER class constructor</h5>
		
	<h4>Info</h4>
	<ul>
			<li><strong>version</strong> - 1.1</li>
			<li><strong>author</strong> - Bobby Easland</li>
		</ul>
</div>
<a name="methodeval_defaults" id="methodeval_defaults"><!-- --></a>
<div style="background='#ffffff'"><h4>
<img src="../media/images/PublicMethod.gif" border="0" /> <strong class="method">Method eval_defaults</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a363">363</a></span>)
 </h4> 
<h4><i>void</i> <strong>eval_defaults(
)</strong></h4>

<!-- ========== Info from phpDoc block ========= -->
<h5>This function evaluates the default serrings into defined constants</h5>
		
	<h4>Info</h4>
	<ul>
			<li><strong>version</strong> - 1.0</li>
			<li><strong>author</strong> - Bobby Easland</li>
		</ul>
</div>
<a name="methodinit" id="methodinit"><!-- --></a>
<div style="background='#eeeeee'"><h4>
<img src="../media/images/PublicMethod.gif" border="0" /> <strong class="method">Method init</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a334">334</a></span>)
 </h4> 
<h4><i>void</i> <strong>init(
)</strong></h4>

<!-- ========== Info from phpDoc block ========= -->
<h5>Initializer - if there are settings not defined the default config will be used and database settings installed.</h5>
		
	<h4>Info</h4>
	<ul>
			<li><strong>version</strong> - 1.1</li>
			<li><strong>author</strong> - Bobby Easland</li>
		</ul>
</div>
<a name="methodinstall_settings" id="methodinstall_settings"><!-- --></a>
<div style="background='#ffffff'"><h4>
<img src="../media/images/PublicMethod.gif" border="0" /> <strong class="method">Method install_settings</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a385">385</a></span>)
 </h4> 
<h4><i>void</i> <strong>install_settings(
)</strong></h4>

<!-- ========== Info from phpDoc block ========= -->
<h5>This function installs the database settings</h5>
		
	<h4>Info</h4>
	<ul>
			<li><strong>version</strong> - 1.0</li>
			<li><strong>author</strong> - Bobby Easland</li>
		</ul>
</div>
<a name="methoduninstall_settings" id="methoduninstall_settings"><!-- --></a>
<div style="background='#eeeeee'"><h4>
<img src="../media/images/PublicMethod.gif" border="0" /> <strong class="method">Method uninstall_settings</strong> (line <span class="linenumber"><a href="..//__filesource/fsource_Ultimate-SEO-URLs__seo.class.php.html#a374">374</a></span>)
 </h4> 
<h4><i>void</i> <strong>uninstall_settings(
)</strong></h4>

<!-- ========== Info from phpDoc block ========= -->
<h5>This function removes the database settings (configuration and cache)</h5>
		
	<h4>Info</h4>
	<ul>
			<li><strong>version</strong> - 1.0</li>
			<li><strong>author</strong> - Bobby Easland</li>
		</ul>
</div>
<script type="text/javascript">tp1.addTabPage( document.getElementById( "tabPage2" ) );</script></div>
<div class="tab-page" id="iVars">
<h2 class="tab">Inherited Variables</h2>
<script type="text/javascript">tp1.addTabPage( document.getElementById( "iVars" ) );</script>
<!-- =========== VAR INHERITED SUMMARY =========== -->
<A NAME='var_inherited_summary'><!-- --></A>
<h3>Inherited Class Variable Summary</h3>

	</div>
<div class="tab-page" id="iMethods">
<h2 class="tab">Inherited Methods</h2>
<script type="text/javascript">tp1.addTabPage( document.getElementById( "iMethods" ) );</script>
<!-- =========== INHERITED METHOD SUMMARY =========== -->
<A NAME='functions_inherited'><!-- --></A>
<h3>Inherited Method Summary</h3>

	</div>
</div>
<script type="text/javascript">
//<![CDATA[

setupAllTabs();

//]]>
</script>
	<div id="credit">
		<hr />
		Documentation generated on Sun, 12 Jun 2005 14:35:31 -0400 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC3</a>
	</div>
</body>
</html>